@use 'base/variables' as v;
@use 'base/mixins' as m;

.lineup {
    background-color: v.$myPink;
    padding: 5rem 0; // Top & bottom 5 rem, right &left 0

    h3, p {
        text-align: center;
        color: v.$myWhite;
    }

    .date {
        text-transform: uppercase;
        margin: 5rem 0;
    }
}

.stage_container {
    @include m.tablet_size {
        @include m.grid (2, 5rem);
    }

    p {
       color: v.$myBlack; 
    }
}

.stage {
    padding-top: 1.5rem;
    p {
        &:after {
            content: '';
            display: block;
            width: 20rem;
            height: 10rem;
            background-size: 15rem;
            background-repeat: no-repeat;
            background-position: center center;
            margin: 2rem auto 0 auto;
        }
    }
}

.edm_icon .stage_name:after {
    background-image: url(../img/edm_icon.png);
}

.rock_icon .stage_name:after {
    background-image: url(../img/rock_icon.png);
}

.calendar {
    @include m.reset_list;
    li {
        padding: 2.5rem;
        font-weight: 700;
        span {
            font-weight: 400;
        }
    }
}

.bg_yellow {
    background-color: v.$myYellow;
    li:nth-child(odd) {
        background-color: darken(v.$myYellow, 15%);
    }
}

.bg_green {
    background-color: v.$myAqua;
    li:nth-child(odd) {
        background-color: darken(v.$myAqua, 10%);
    }
}